Autor Tema: Pilaga 3.20 - Error composer install  (Leído 676 veces)

0 Usuarios y 1 Visitante están viendo este tema.

npeloso

  • General
  • *
  • Mensajes: 40
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Rosario
  • Nombre y apellido: Nicodemo Peloso
  • Sistema: Diaguita - Kolla - Pilaga - Toba - Wichi - Arai
  • Teléfono laboral: 54 341 4201283
  • Utilizo algun sistéma del SIU: Sí
Pilaga 3.20 - Error composer install
« on: Noviembre 05, 2018, 10:25:09 am »
Srs, Buenos días. Al intentar instalar el proyecto obtengo el siguiente error:
$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Package operations: 129 installs, 0 updates, 0 removals
  - Installing cakephp/collection (3.6.12): Loading from cache
  - Installing cakephp/core (3.6.12): Loading from cache
  - Installing cakephp/utility (3.6.12): Loading from cache
  - Installing cakephp/datasource (3.6.12): Loading from cache
  - Installing cakephp/cache (3.6.12): Loading from cache
  - Installing cakephp/database (3.6.12): Loading from cache
  - Installing psr/log (1.0.2): Loading from cache
  - Installing colinmollenhour/credis (1.10.0): Loading from cache
  - Installing chrisboulton/php-resque (dev-master 968b7e6): Cloning 968b7e6a30
  - Installing chrisboulton/php-resque-scheduler (dev-master 5954c98): Cloning 5954c98902
  - Installing itbz/fpdf (1.7.3): Loading from cache
  - Installing itbz/fpdi (dev-master 43f6bb7): Cloning 43f6bb7ce4
  - Installing clegginabox/pdf-merger (dev-master 88e641c): Cloning 88e641ca2a
  - Installing doctrine/inflector (v1.0.1): Loading from cache
  - Installing doctrine/lexer (v1.0.1): Loading from cache
  - Installing firebase/php-jwt (v5.0.0): Loading from cache
  - Installing gettext/languages (2.4.0): Loading from cache
  - Installing gettext/gettext (v3.6.1): Loading from cache
  - Installing clue/graph (v0.9.0): Loading from cache
  - Installing graphp/algorithms (v0.8.1): Loading from cache
  - Installing graphp/graphviz (v0.2.1): Loading from cache
  - Installing guzzlehttp/promises (v1.3.1): Loading from cache
  - Installing psr/http-message (1.0.1): Loading from cache
  - Installing guzzlehttp/psr7 (1.4.2): Loading from cache
  - Installing ircmaxell/security-lib (v1.1.0): Loading from cache
  - Installing ircmaxell/random-lib (dev-master e9e0204): Cloning e9e0204f40
  - Installing symfony/polyfill-ctype (v1.10.0): Loading from cache
  - Installing twig/twig (v1.35.4): Loading from cache
  - Installing twig/extensions (v1.5.2): Loading from cache
  - Installing jaimeperez/twig-configurable-i18n (v1.2): Loading from cache
  - Installing paragonie/random_compat (v2.0.17): Loading from cache
  - Installing paragonie/sodium_compat (v1.7.0): Loading from cache
  - Installing paragonie/halite (v1.6.0): Loading from cache
  - Installing pear/console_getopt (v1.4.1): Loading from cache
  - Installing psr/container (1.0.0): Loading from cache
  - Installing robrichards/xmlseclibs (3.0.2): Loading from cache
  - Installing simplesamlphp/saml2 (v3.2.2): Loading from cache
  - Installing siu-si-libs/datum (1.0.6): Cloning 2b47ac5788
  - Installing siu-si-libs/x-migra (1.0.2): Cloning 80642c9b90
  - Installing siu-si-libs/ventania (1.0.2): Cloning 5096a79f74
  - Installing siu-si-libs/synopsis (1.0.1): Cloning 9b9d54a5a4
  - Installing phpmailer/phpmailer (v5.2.26): Loading from cache
  - Installing siu-si-libs/x-toba (2.1.0): Cloning e11f95df40
  - Installing vlucas/phpdotenv (v2.5.1): Loading from cache
  - Installing symfony/yaml (v3.4.17): Loading from cache
  - Installing zendframework/zend-stdlib (2.2.10): Loading from cache
  - Installing zendframework/zend-validator (2.2.10): Loading from cache
  - Installing zendframework/zend-escaper (2.2.10): Loading from cache
  - Installing zendframework/zend-uri (2.2.10): Loading from cache
  - Installing mjohnson/decoda (6.11.0): Loading from cache
  - Installing michelf/php-markdown (1.8.0): Loading from cache
  - Installing ezyang/htmlpurifier (v4.10.0): Loading from cache
  - Installing siu/security-multitool (v1.0): Cloning d0f68c67e3
  - Installing siu/rdi (0.9.8): Cloning 7cf4469496
  - Installing seld/jsonlint (1.7.1): Loading from cache
  - Installing justinrainbow/json-schema (1.6.1): Loading from cache
  - Installing siu/json-util (v1.3): Cloning d3ad9a78e5
  - Installing siu/arai-json-migrator (v1.0.1): Cloning b1a6f2f3cd
  - Installing symfony/debug (v3.4.17): Loading from cache
  - Installing symfony/polyfill-mbstring (v1.10.0): Loading from cache
  - Installing symfony/console (v3.4.17): Loading from cache
  - Installing siu/arai-json-parser (v2.0.0): Cloning 9e0976ef84
  - Installing siu/arai-crypto (v1.0.0): Cloning bad3037b36


  [Symfony\Component\Process\Exception\ProcessTimedOutException]
  The process "git clone --no-checkout 'https://gitlab.siu.edu.ar/siu-arai/arai-crypto' '/usr/local/siu/pilaga320/vendor/siu/arai-crypto' && cd '/usr/local/siu/pila
  ga320/vendor/siu/arai-crypto' && git remote add composer 'https://gitlab.siu.edu.ar/siu-arai/arai-crypto' && git fetch composer" exceeded the timeout of 300 secon
  ds.


install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...

 Quedo a la espera de sus comentarios.
Saludos,Nicodemo.



Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Pilaga 3.20 - Error composer install
« Respuesta #1 on: Noviembre 05, 2018, 11:33:32 am »
Composer tiene un timeout de 5 minutos
Para saltear el timeout poder tirar composer asi

COMPOSER_PROCESS_TIMEOUT=0 composer install

Proba y cualquier cosa me avisas.
Saludos!

npeloso

  • General
  • *
  • Mensajes: 40
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Rosario
  • Nombre y apellido: Nicodemo Peloso
  • Sistema: Diaguita - Kolla - Pilaga - Toba - Wichi - Arai
  • Teléfono laboral: 54 341 4201283
  • Utilizo algun sistéma del SIU: Sí
Re:Pilaga 3.20 - Error composer install
« Respuesta #2 on: Noviembre 05, 2018, 11:39:38 am »
Srs, Buenos días. No creo que sea problema del timeout; 300 segundos son bastantes para arai-crypto. Cuanto tiempo recomiendan Uds poner? Los demás elementos que no dieron error fueron procesados en menos de un minuto (todos ellos). Quedo a la espera de sus comentarios.
Saludos,Nicodemo.

Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Pilaga 3.20 - Error composer install
« Respuesta #3 on: Noviembre 05, 2018, 11:48:33 am »
No se si entendí bien pero en lo que pasaste el error son los 300 segundos de timeout

 .....ga320/vendor/siu/arai-crypto' && git remote add composer 'https://gitlab.siu.edu.ar/siu-arai/arai-crypto' && git fetch composer" exceeded the timeout of 300 secon

Proba como te pase yo con timeout 0 para que no se corte y me avisas
COMPOSER_PROCESS_TIMEOUT=0 composer install

Saludos!!

gperedo

  • Jr. Member
  • **
  • Mensajes: 54
    • Ver Perfil
    • Email
  • Institución: Ministerio de Educación
  • Nombre y apellido: Gonzalo Peredo Rosinski
  • Sistema: Guarani
  • Utilizo algun sistéma del SIU: Sí
Re:Pilaga 3.20 - Error composer install
« Respuesta #4 on: Diciembre 04, 2018, 05:18:12 pm »
 Hola buenas tardes, a nosotros nos ocurre el mismo problema en el paquete siu/arai-crypto.
Código: [Seleccionar]
[RuntimeException]
  Failed to execute git clone --no-checkout 'https://gitlab.siu.edu.ar/siu-arai/arai-crypto' '/usr/local/proyectos
  /demo/gestion/vendor/siu/arai-crypto' && cd '/usr/local/proyectos/demo/gestion/vendor/siu/arai-crypto' && git re
  mote add composer 'https://gitlab.siu.edu.ar/siu-arai/arai-crypto' && git fetch composer

  error: RPC failed; result=22, HTTP code = 404
  fatal: The remote end hung up unexpectedly
Puede ser que el problema sea que al hacer el git clone, la url del repo le falta el .git.. pero no pude solucionarlo.
¿Pudieron resolverlo?

Gracias!

Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Pilaga 3.20 - Error composer install
« Respuesta #5 on: Diciembre 14, 2018, 12:09:13 pm »
Me parece que tu problema es otro
error: RPC failed; result=22, HTTP code = 404 deberia ser "not found" no "timeout"

Si haces un "git clone https://gitlab.siu.edu.ar/siu-arai/arai-crypto" por separado ¿Baja bien? (o git clone https://gitlab.siu.edu.ar/siu-arai/arai-crypto.git)

Juan Cruz Martinez Luquez

  • Jr. Member
  • **
  • Mensajes: 73
    • Ver Perfil
    • Email
  • Institución: UNRN
  • Nombre y apellido: Juan Cruz Martinez Luquez
  • Sistema: Administrados IT
  • Teléfono laboral: 02920442050
Re:Pilaga 3.20 - Error composer install
« Respuesta #6 on: Diciembre 20, 2018, 11:54:26 am »
Estimados!
El problema  estaba en la versión de git, yo tenia la 1.8 y pasé a la 2.16 (última disponible en uno de los repositorios para el SO nuestro) y funcionó sin problemas.
Saludos!
Juan Cruz Martinez Luquez
Jefe - Dpto. de Informática y Tecnología de las Comunicaciones
Rectorado - Universidad Nacional de Rio Negro

gperedo

  • Jr. Member
  • **
  • Mensajes: 54
    • Ver Perfil
    • Email
  • Institución: Ministerio de Educación
  • Nombre y apellido: Gonzalo Peredo Rosinski
  • Sistema: Guarani
  • Utilizo algun sistéma del SIU: Sí
Re:Pilaga 3.20 - Error composer install
« Respuesta #7 on: Diciembre 20, 2018, 11:56:54 am »
Gracias Juan por la respuesta! Si, nos sucedió lo mismo, en CentOs 7.5 el git que viene en el repo es la 1.8, actualizamos a la 2 y funcionó sin problemas.